require 'pathname'

bin_dir = Pathname.new(File.expand_path('../bin', __FILE__))

Gem::Specification.new do |s|
  s.name        = 'docker-utils'
  s.version     = `git describe --abbrev=0 --tags`.chomp
  s.licenses    = ['MIT']
  s.summary     = "Docker utilities"
  s.description = "A collection of helper scripts to assist in using Docker in development and production"
  s.authors     = ["Levi Aul"]
  s.email       = 'levi@leviaul.com'
  s.files       = `find . -type f`.chomp.split("\n").delete_if{ |f| f =~ /\.git/ }
  s.homepage    = 'https://github.com/tsutsu/docker-utils'

  s.add_runtime_dependency 'ruby-uuid', '~> 0'

  bin_dir.children.each do |binary|
    s.executables << binary.basename.to_s
  end
end
